QGIS Application - Feature request #13468
Error in psSHP->sHooks.Fwrite : not a really meaningful error message
2015-09-30 09:50 AM - Harrissou Santanna

Status: Closed

Priority: High

Assignee:

Category: Digitising

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 21515
Description

| have a shapefile | can't add a feature to. | can change attributes, geometry without problem. But each time | add a new feature (digitize a
simple rectangle or copy paste a feature), impossible to save these modifications. I'll dig what the problem may be and open another issue
report.

But the current problem is that when saving, | get an error message that should be better expressed.

Could not Commit changes to layer MyLayer
Errors : ERROR: 1 feature(s) not added.
Provider errors:
OGR vector creating feature - 16: Error in psSHP->sHooks.Fwrite() while writing object to .shp file.

This doesn't help user understand what's going wrong with his data so, if it's possible to give a more understandable message, it'd be
nice...

History

#1 - 2015-09-30 10:14 AM - Giuseppe Sucameli

- Status changed from Open to Feedback

Hi, more info are needed to understand the issue: QGIS version/revision, operating system.

In addition, if you attach a small dataset to reproduce the error we can check whether the error is due to QGIS code or not.

#2 - 2015-09-30 10:25 AM - Jiirgen Fischer

Might related to GDAL #3236 (ie. shapefile is larger than 2 or 4 GB). But that's the error message, we got from OGR - we can't interpret all possible error

messages from OGR anyway, so I'm afraid relaying the verbatim error message from OGR to the user is the best we can do.

#3 - 2015-09-30 10:58 AM - Harrissou Santanna

You're right, indeed. Sorry! My report was rather on the message text than the digitising issue.

My layer is a shapefile | created with the "save as" option from a subset of a postgis table. No error found according to QGIS error checker. Removing the

layer from the project and add it again let me fully change features without problem. So I'm not sure sharing data will change anything.

This occured in master feaded9.

Jurgen Fischer wrote:

Might related to GDAL #3236 (ie. shapefile is larger than 2 or 4 GB). But that's the error message, we got from OGR - we can't interpret all
possible error messages from OGR anyway, so I'm afraid relaying the verbatim error message from OGR to the user is the best we can do.

My data is just about 640 Ko. But | agree that if this message is from OGR, better focus on other issues instead of tracking each message and adapt it.

#4 - 2016-05-24 07:27 AM - Paolo Cavallini

Better reporting it upstream and close this, right?

#5 - 2016-05-24 08:24 AM - Even Rouault

I've added hopefully better error reporting in GDAL in https:/trac.osgeo.org/gdal/changeset/34285 , but I'm not sure why the error occured in the first place

in that case. Anyway...

#6 - 2016-05-24 08:24 AM - Even Rouault
- % Done changed from 0 to 100
- Status changed from Feedback to Closed
